<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'tsn-media',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['products'],

    
    'products'       => [
        'model' => [
            'model'                 => \TsnMedia\Product\Models\Products::class,
            'table'                 => 'products',
            'presenter'             => \TsnMedia\Product\Repositories\Presenter\ProductsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'sku',  'name',  'description',  'image'],
            'translatables'         => [],
            'upload_folder'         => 'product/products',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'TsnMedia',
            'package'   => 'Product',
            'module'    => 'Products',
        ],

    ],
];
