<?php

namespace TsnMedia\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductsTransformer extends TransformerAbstract
{
    public function transform(\TsnMedia\Product\Models\Products $products)
    {
        return [
            'id'                => $products->getRouteKey(),
            'key'               => [
                'public'    => $products->getPublicKey(),
                'route'     => $products->getRouteKey(),
            ], 
            'id'                => $products->id,
            'sku'               => $products->sku,
            'name'              => $products->name,
            'description'       => $products->description,
            'image'             => $products->image,
            'url'               => [
                'public'    => trans_url('product/'.$products->getPublicKey()),
                'user'      => guard_url('product/products/'.$products->getRouteKey()),
            ], 
            'status'            => trans('app.'.$products->status),
            'created_at'        => format_date($products->created_at),
            'updated_at'        => format_date($products->updated_at),
        ];
    }
}